require 'pathname'

module Dod
  class Donefile

    def parse_tasks(donefile_path)
      contents = File.open(Pathname.new(donefile_path), "r:utf-8", &:read)

      if contents.tr!("“”‘’‛", %(""'''))
        puts "Your #{path.basename} has had smart quotes sanitised. " \
          "To avoid issues in the future, you should not use " \
          "TextEdit for editing it. If you are not using TextEdit, " \
          "you should turn off smart quotes in your editor of choice.".red
      end

      contents.each_line.map { |line| line }
    end 
  end
end